com.amazonaws.services.lambda.model

## Class ListAliasesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.ListAliasesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListAliasesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListAliasesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListAliasesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getFunctionName()` Lambda function name for which the alias is created.
`String` `getFunctionVersion()` If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.
`String` `getMarker()` Optional string.
`Integer` `getMaxItems()` Optional integer.
`int` `hashCode()`
`void` `setFunctionName(String functionName)` Lambda function name for which the alias is created.
`void` `setFunctionVersion(String functionVersion)` If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.
`void` `setMarker(String marker)` Optional string.
`void` `setMaxItems(Integer maxItems)` Optional integer.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListAliasesRequest` `withFunctionName(String functionName)` Lambda function name for which the alias is created.
`ListAliasesRequest` `withFunctionVersion(String functionVersion)` If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.
`ListAliasesRequest` `withMarker(String marker)` Optional string.
`ListAliasesRequest` `withMaxItems(Integer maxItems)` Optional integer.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListAliasesRequest

    public ListAliasesRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

Lambda function name for which the alias is created.

Parameters:
  `functionName` - Lambda function name for which the alias is created.

#### getFunctionName

    public String getFunctionName()

Lambda function name for which the alias is created.

Returns:
  Lambda function name for which the alias is created.

#### withFunctionName

    public ListAliasesRequest withFunctionName(String functionName)

Lambda function name for which the alias is created.

Parameters:
  `functionName` - Lambda function name for which the alias is created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionVersion

    public void setFunctionVersion(String functionVersion)

If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.

Parameters:
  `functionVersion` - If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.

#### getFunctionVersion

    public String getFunctionVersion()

If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.

Returns:
  If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.

#### withFunctionVersion

    public ListAliasesRequest withFunctionVersion(String functionVersion)

If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.

Parameters:
  `functionVersion` - If you specify this optional parameter, the API returns only the aliases that are pointing to the specific Lambda function version, otherwise the API returns all of the aliases created for the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMarker

    public void setMarker(String marker)

Optional string. An opaque pagination token returned from a previous `ListAliases` operation. If present, indicates where to continue the listing.

Parameters:
  `marker` - Optional string. An opaque pagination token returned from a previous `ListAliases` operation. If present, indicates where to continue the listing.

#### getMarker

    public String getMarker()

Optional string. An opaque pagination token returned from a previous `ListAliases` operation. If present, indicates where to continue the listing.

Returns:
  Optional string. An opaque pagination token returned from a previous `ListAliases` operation. If present, indicates where to continue the listing.

#### withMarker

    public ListAliasesRequest withMarker(String marker)

Optional string. An opaque pagination token returned from a previous `ListAliases` operation. If present, indicates where to continue the listing.

Parameters:
  `marker` - Optional string. An opaque pagination token returned from a previous `ListAliases` operation. If present, indicates where to continue the listing.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(Integer maxItems)

Optional integer. Specifies the maximum number of aliases to return in response. This parameter value must be greater than 0.

Parameters:
  `maxItems` - Optional integer. Specifies the maximum number of aliases to return in response. This parameter value must be greater than 0.

#### getMaxItems

    public Integer getMaxItems()

Optional integer. Specifies the maximum number of aliases to return in response. This parameter value must be greater than 0.

Returns:
  Optional integer. Specifies the maximum number of aliases to return in response. This parameter value must be greater than 0.

#### withMaxItems

    public ListAliasesRequest withMaxItems(Integer maxItems)

Optional integer. Specifies the maximum number of aliases to return in response. This parameter value must be greater than 0.

Parameters:
  `maxItems` - Optional integer. Specifies the maximum number of aliases to return in response. This parameter value must be greater than 0.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListAliasesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`